\chapter*{Abstract}
\thispagestyle{empty}

This thesis describes different approaches to achieve performance improvements in Whisker, a Test Framework for Scratch applications. The target of the thesis is to achieve an accelerated test execution while not changing the reliability of the test results. The resulting changes allow a Whisker user to execute a Scratch application test-suite from a command-line utility, called the Servant. The Servant can run tests headless without a visible browser and accelerated by parallelizing the tests or increasing the frequency of execution steps done by the Scratch VM. The acceleration options can be granularly controlled via command-line arguments, and the same reporting as in the browser is available. Evaluation over seven exemplary test-suites for seven Scratch applications showed a reduced execution time of over 80 \% without increasing test failures even on a low-power ultrabook.

\vspace{8\baselineskip}

{\normalsize
\sffett{Keywords}:  \textit{Whisker, Scratch, Testing, Acceleration}
}
